# boost::numeric::ublas::vector_scalar_unary< E, F > Class Template Reference

Inherits scalar_expression< vector_scalar_unary< E, F > >.

List of all members.

## Public Types

typedef F::result_type | value_type
typedef E::difference_type | difference_type
typedef const self_type | const_closure_type
typedef const_closure_type | closure_type
typedef unknown_storage_tag | storage_category

## Public Member Functions

BOOST_UBLAS_INLINE | vector_scalar_unary (const expression_type &e)
BOOST_UBLAS_INLINE | operator value_type () const

### template<class E, class F>
class boost::numeric::ublas::vector_scalar_unary< E, F >